Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython3.DocEventCallback Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | OnDocOpened (document, error_code)
| Triggered when a PDF document is opened. More...
def | OnDocSaved (document, error_code)
| Triggered when a PDF document is saved. More...
def | OnDocWillDestroy (document)
| Triggered when a PDF document will be destroyed. More...
def | OnDocWillOpen ()
| Triggered when the document will be opened. More...
def | OnDocWillSave (document)
| Triggered when a PDF document will be saved. More...
def | Release ()
| A callback function used to release current callback object itself. More...

## Detailed Description

This class represents a callback object used to listen PDF document event. All the pure virtual functions in this class are used as callback functions and should be implemented by user in derived class. User can also re-write the virtual functions in this class in custom way.

## Member Function Documentation

## ◆ OnDocOpened()

def FoxitPDFSDKPython3.DocEventCallback.OnDocOpened | ( |  | document,
|  |  | error_code
| ) |  |

Triggered when a PDF document is opened.

Parameters

  [in] | document | A PDF document object which is opened.
  [in] | error_code | Error code which represents the error state when opening the PDF document. Please refer to values starting from FoxitPDFSDKPython3.e_ErrSuccess and this would be one of these values.

Returns
  None.

## ◆ OnDocSaved()

def FoxitPDFSDKPython3.DocEventCallback.OnDocSaved | ( |  | document,
|  |  | error_code
| ) |  |

Triggered when a PDF document is saved.

Parameters

  [in] | document | A PDF document object which is saved.
  [in] | error_code | Error code which represents the error state when saving the PDF document. Please refer to values starting from FoxitPDFSDKPython3.e_ErrSuccess and this would be one of these values.

Returns
  None.

## ◆ OnDocWillDestroy()

def FoxitPDFSDKPython3.DocEventCallback.OnDocWillDestroy | ( |  | document | ) |

Triggered when a PDF document will be destroyed.

Parameters

  [in] | document | A PDF document object which will be destroyed.

Returns
  None.

## ◆ OnDocWillOpen()

def FoxitPDFSDKPython3.DocEventCallback.OnDocWillOpen | ( |  | ) |

Triggered when the document will be opened.

Returns
  None.

## ◆ OnDocWillSave()

def FoxitPDFSDKPython3.DocEventCallback.OnDocWillSave | ( |  | document | ) |

Triggered when a PDF document will be saved.

Parameters

  [in] | document | A PDF document object which will be saved.

Returns
  None.

## ◆ Release()

def FoxitPDFSDKPython3.DocEventCallback.Release | ( |  | ) |

A callback function used to release current callback object itself.

Returns
  None.